## com.ibm.lab.soln.dialogs
Class MyNewFileWizardPage

    java.lang.Object
      |
      +--org.eclipse.jface.dialogs.DialogPage
            |
            +--org.eclipse.jface.wizard.WizardPage
                  |
                  +--org.eclipse.ui.dialogs.WizardNewFileCreationPage
                        |
                        +--com.ibm.lab.soln.dialogs.MyNewFileWizardPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage, org.eclipse.swt.widgets.Listener

public class MyNewFileWizardPage
extends org.eclipse.ui.dialogs.WizardNewFileCreationPage

Customized version of the `WizardNewFileCreationPage`. Adds finish processing and support for custom file content.

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`MyNewFileWizardPage(java.lang.String pageName, org.eclipse.jface.viewers.IStructuredSelection selection)` Constructor for MyNewFileWizardPage.

Method Summary
`boolean` | `finish()` Processes the create new file request by calling methods inherited from the `MyNewFileWizardPage` superclass.
`protected java.io.InputStream` | `getInitialContents()` Customized method that provides simple content for the file being created.

Methods inherited from class org.eclipse.ui.dialogs.WizardNewFileCreationPage
`createControl, createFile, createFileHandle, createNewFile, getContainerFullPath, getFileName, getNewFileLabel, handleEvent, initialPopulateContainerNameField, setContainerFullPath, setFileName, setVisible, validatePage`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### MyNewFileWizardPage

    public MyNewFileWizardPage(java.lang.String pageName,
                               org.eclipse.jface.viewers.IStructuredSelection selection)

  Constructor for MyNewFileWizardPage.
  Parameters:
    `pageName` -
    `selection` -

Method Detail

### finish

    public boolean finish()

  Processes the create new file request by calling methods inherited from the `MyNewFileWizardPage` superclass.
  Returns:
    boolean - indicates if the file was created.
  See Also:
    `WizardNewFileCreationPage.createNewFile()`

### getInitialContents

    protected java.io.InputStream getInitialContents()

  Customized method that provides simple content for the file being created.
  Overrides:
    `getInitialContents` in class `org.eclipse.ui.dialogs.WizardNewFileCreationPage`
  See Also:
    `WizardNewFileCreationPage.getInitialContents()`